Bug 71293 - Please improve mouse configuration
Please improve mouse configuration
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-mouse (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-08-12 02:23 EDT by Ben Weintraub
Modified: 2007-04-18 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-13 11:54:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ben Weintraub 2002-08-12 02:23:33 EDT
There does not seem to be a simple way to activate the mouse scroll wheel.  This
seems like it would be a fairly simple thing to include, perhaps in the 'Mouse'
control panel, or the 'Display' panel.  Yes, I know how to turn on mouse wheel
support through editing XF86Config, but most new people won't have a clue how to
do this.  Better yet, why make this any harder than it has to be, and why not
have mousewheel support on by default?
Comment 1 Mike A. Harris 2002-08-12 07:12:52 EDT
This is filed as an XFree86 bug.  Scrollwheel mice work fine in XFree86,
so there is no XFree86 bug here.

Red Hat Linux has always configured the XF86Config config file to have:

ZaxisMapping "4 5"

by default, regardless of the mouse type used.  The option enables scroll
wheel support on most mice - if they have scroll wheels, and the proper
mouse protocol is chosen during install/configuration.

Most scroll wheel mice, and in fact most modern mice period use the IMPS/2
mouse protocol, however not all mice do, so it is not a safe assumption
to pick.

There is no way in Linux or XFree86 to currently autodetect what mouse
protocol is required or supported by a given mouse.  As such, end users
need to manually choose their mouse type.  There is no getting around
this, and there wont be likely for some time, probably not until
XFree86 5.0 or so.

As for making a default configuration for scroll wheel mice, users should
choose their mouse type from the existing list.  I'm not sure how it
could be made much better than it is right now, without creating
a database of individual company/device/model types and tying them
to a particular mouse protocol and configuration settings.

Such a mouse database is not a bad idea per se. but it is also not
something to be implemented overnight.  This is something which could
be considered for a future version of the OS and its config tools however.

I'm reassigning it to our new config tool where it can be examined
in a future Red Hat Linux release.
Comment 2 Ben Weintraub 2002-08-12 20:37:37 EDT
I know its not an XFree bug, I'm sorry for filing it as such.  I didn't see the
option for redhat-config-xfree86.  I've checked my XF86Config, and the problem
actually isn't ZAxismapping, its the protocol used: PS/2 instead of IMPS/2. 
Actually, there are two entries, looks like the first for 'Mouse0' is supposed
to be for non-devfs with device /dev/psaux, and the second Mouse1 is for devfs
with device /dev/input/mice (just a geuss about the reason).  Mouse1 has IMPS/2
protocol, but Mouse0 does not.  Once again sorry for the mis-filing.
Comment 3 Alexander Larsson 2002-08-13 03:08:55 EDT
Are you saying you have an IMPS/2, but it probed as a PS/2?

What program wrote the config? The installer?
Comment 4 Brent Fox 2002-12-03 11:53:50 EST
Comment 5 Brent Fox 2002-12-13 11:54:52 EST
Although the setting is in the XF86Config file, this is really a
redhat-config-mouse issue since that program edits the mouse section of the
XF86Config file, as well as the /etc/sysconfig/mouse file for console mouse
configuration.  I'm changing the component to redhat-config-mouse.

I have made some changes to redhat-config-mouse yesterday that should ensure
that ZAxisMapping always gets written to the default pointing device. 
redhat-config-mouse-1.0.2-8 in Rawhide should resolve the problem, so I'm
closing as Rawhide.  QA, please verify.

Note You need to log in before you can comment on or make changes to this bug.